v1.0
post
/ec-site-svc/rest/v1.0/tenantsite/{entityType}/{entityId}/{associationType}/associations
Creates an association between a source entity (Lab, Depot, or Investigator) and an Institution.
Request
Path Parameters
-
associationType(required): string
Association type in the request. Allowed values: INVESTIGATOR_INSTITUTION (investigator linked to institution), DEPOT_INSTITUTION (depot linked to institution), LAB_INSTITUTION (lab linked to institution).Example:
INVESTIGATOR_INSTITUTION -
entityId(required): string
Institution, Investigator, Lab or Depot ID.Example:
C36A3197FDEE433FB5547EE83DE99E4B -
entityType(required): string
Entity type. Allowed values: INSTITUTION (organization entity), INVESTIGATOR (investigator entity), LAB (study lab entity), DEPOT (study depot entity).Example:
INSTITUTION
Supported Media Types
- application/json
Root Schema : TENANT_SITES_REQUEST_TITLE
Type:
objectTitle:
TENANT_SITES_REQUEST_TITLETENANT_SITES_REQUEST_DESC
Show Source
-
tenantSites: object
TENANT_SITE_DTO_TITLE
Title:
TENANT_SITE_DTO_TITLETENANT_SITE_DTO_DESC
Nested Schema : TENANT_SITE_DTO_TITLE
Type:
objectTitle:
TENANT_SITE_DTO_TITLETENANT_SITE_DTO_DESC
Show Source
-
comment: string
Title:
CommentMinimum Length:0Maximum Length:2048Additional comment captured for the audited update.Example:Association adjusted after data reconciliation. -
id: string
(uuid)
Title:
TENANT_SITE_DTO_ID_TITLETENANT_SITE_DTO_ID_DESC -
objectVersionNumber: number
-
reason: string
Title:
ReasonMinimum Length:0Maximum Length:255Reason provided for the audited update.Example:Protocol update requested by study operations. -
tenantFirstEntityId(required): string
(uuid)
Title:
TENANT_SITE_DTO_FIRST_ENTITY_ID_TITLETENANT_SITE_DTO_FIRST_ENTITY_ID_DESC -
tenantSecondEntityId(required): string
(uuid)
Title:
TENANT_SITE_DTO_SECOND_ENTITY_ID_TITLETENANT_SITE_DTO_SECOND_ENTITY_ID_DESC -
versionStart: string
(date-time)
Example:
[
{
"id":"C36A3197FDEE433FB5547EE83DE99E4B"
}
]Examples
Back to Top
Response
Supported Media Types
- application/json
200 Response
Successful operation.
Root Schema : SDFResponse
Type:
objectTitle:
SDFResponseWrapper for service responses containing result or error data.
Show Source
-
errorData: object
ErrorResponseData
Title:
ErrorResponseDataError Response Details Information -
result: object
result
The result object for successful requests. Type depends on the API operation.
-
status: string
Status of the response, either 'success' or an error indication.Example:
success
Nested Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : result
Type:
objectThe result object for successful requests. Type depends on the API operation.
Example:
{
"hasMore":"true",
"totalResults":5,
"count":5,
"data":[
]
}Nested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.
Example:
{
"field":"studyId",
"reason":"Invalid value"
}Examples
400 Response
Returned when one or more path parameters, query parameters, or request-body values fail endpoint validation.
Root Schema : SDFResponse
Type:
objectTitle:
SDFResponseWrapper for service responses containing result or error data.
Show Source
-
errorData: object
ErrorResponseData
Title:
ErrorResponseDataError Response Details Information -
result: object
result
The result object for successful requests. Type depends on the API operation.
-
status: string
Status of the response, either 'success' or an error indication.Example:
success
Nested Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : result
Type:
objectThe result object for successful requests. Type depends on the API operation.
Example:
{
"hasMore":"true",
"totalResults":5,
"count":5,
"data":[
]
}Nested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.
Example:
{
"field":"studyId",
"reason":"Invalid value"
}Examples